[PATCH] Fix sound init issue

When compiling with gcc-4.1 and -O1 or higher, we were getting sound
corruption. Tracked the problem down to the scaletable init. Seems to be a
real gcc bug (http://gcc.gnu.org/bugzilla/show_bug.cgi?id=26719).

diff -urN a/common/snd_mix.c b/common/snd_mix.c
--- a/common/snd_mix.c	2004-07-25 15:59:59.000000000 +0930
+++ b/common/snd_mix.c	2006-03-16 16:18:25.000000000 +1030
@@ -328,7 +328,7 @@
 
     for (i = 0; i < 32; i++)
 	for (j = 0; j < 256; j++)
-	    snd_scaletable[i][j] = ((signed char)j) * i * 8;
+	    snd_scaletable[i][j] = ((j < 128) ? j : j - 0xff) * i * 8;
 }
 
 
